
import time
import json
import sys 
sys.path.insert(0, '/rpclib/')
from rpclib import rpc 
from time import mktime
from yandex_music import Client
with open('config.json') as f:
  y = json.load(f)
print(y)
client = Client.from_credentials(y["email"], y["password"])



print("Starting")
client_id = '877154344124960809'  
rpc_obj = rpc.DiscordIpcClient.for_platform(client_id)  
print("RPC connection successful.")
lastTrack = "none"
time.sleep(5)

while True:
    print("CHECK")
    queues = client.queues_list()
    print("1")
    last_queue = client.queue(queues[0].id)
    print("2")
    last_track_id = last_queue.get_current_track()
    print("3")
    last_track = last_track_id.fetch_track()
    print("4")
    artists = ', '.join(last_track.artists_name())
    print("5")
    title = last_track.title
   
    print(f'AListening to: {artists} - {title}')
    if (title != lastTrack):
        start_time = mktime(time.localtime())
        print(start_time)
        print(start_time + (last_track.duration_ms/1000))
        print(last_track.duration_ms/1000)
        activity = {
        
            "state": title, 
            "details": f'Listening to {artists} -', 
            "timestamps": {
                "start": round(start_time),
                "end": round(start_time + (last_track.duration_ms/1000))
            },
            "assets": {
                "small_text": "Yandex",  
                "small_image": "og-image",  
                "large_text": "Madi",  
                "large_image": "pongnew"  
            }
        }
        rpc_obj.set_activity(activity)
    lastTrack = title
    time.sleep(5)
    print("CHECK2")

